require 'pathname'

module SemverBump
  class Find

    def initialize(start_path='.')
      @start_path = start_path
    end

    def start_path
      File.expand_path(@start_path,Dir.getwd)
    end

    def search_path
      File.expand_path('**/version.rb',start_path)
    end

    def version_file_paths
      Dir[search_path]
    end

    def version_file_path
      version_file_paths.first
    end

  end
end